co.aikar.commands

## Class CommandParameter<CEC extends CommandExecutionContext<CEC,? extends CommandIssuer>>

- java.lang.Object
- - co.aikar.commands.CommandParameter<CEC>

    public class CommandParameter<CEC extends CommandExecutionContext<CEC,? extends CommandIssuer>>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CommandParameter(RegisteredCommand<CEC> command, Parameter param, int paramIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canConsumeInput()`
`String` `getConditions()`
`String` `getDefaultValue()`
`String` `getDescription()`
`Map<String,String>` `getFlags()`
`CommandManager` `getManager()`
`String` `getName()`
`Parameter` `getParameter()`
`int` `getParamIndex()`
`ContextResolver<?,CEC>` `getResolver()`
`String` `getSyntax()`
`Class<?>` `getType()`
`String[]` `getValues()`
`boolean` `isCommandIssuer()`
`boolean` `isOptional()`
`boolean` `isOptionalResolver()`
`boolean` `requiresInput()`
`void` `setCanConsumeInput(boolean canConsumeInput)`
`void` `setCommandIssuer(boolean commandIssuer)`
`void` `setConditions(String conditions)`
`void` `setDefaultValue(String defaultValue)`
`void` `setDescription(String description)`
`void` `setFlags(Map<String,String> flags)`
`void` `setOptional(boolean optional)`
`void` `setOptionalResolver(boolean optionalResolver)`
`void` `setRequiresInput(boolean requiresInput)`
`void` `setResolver(ContextResolver<?,CEC> resolver)`
`void` `setSyntax(String syntax)`
`void` `setValues(String[] values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandParameter

    public CommandParameter(RegisteredCommand<CEC> command,
                            Parameter param,
                            int paramIndex)

### Method Detail

#### getParameter

    public Parameter getParameter()

#### getType

    public Class<?> getType()

#### getName

    public String getName()

#### getManager

    public CommandManager getManager()

#### getParamIndex

    public int getParamIndex()

#### getResolver

    public ContextResolver<?,CEC> getResolver()

#### setResolver

    public void setResolver(ContextResolver<?,CEC> resolver)

#### isOptional

    public boolean isOptional()

#### setOptional

    public void setOptional(boolean optional)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getDefaultValue

    public String getDefaultValue()

#### setDefaultValue

    public void setDefaultValue(String defaultValue)

#### isCommandIssuer

    public boolean isCommandIssuer()

#### setCommandIssuer

    public void setCommandIssuer(boolean commandIssuer)

#### getValues

    public String[] getValues()

#### setValues

    public void setValues(String[] values)

#### getFlags

    public Map<String,String> getFlags()

#### setFlags

    public void setFlags(Map<String,String> flags)

#### canConsumeInput

    public boolean canConsumeInput()

#### setCanConsumeInput

    public void setCanConsumeInput(boolean canConsumeInput)

#### setOptionalResolver

    public void setOptionalResolver(boolean optionalResolver)

#### isOptionalResolver

    public boolean isOptionalResolver()

#### requiresInput

    public boolean requiresInput()

#### setRequiresInput

    public void setRequiresInput(boolean requiresInput)

#### getSyntax

    public String getSyntax()

#### setSyntax

    public void setSyntax(String syntax)

#### getConditions

    public String getConditions()

#### setConditions

    public void setConditions(String conditions)